--- old/usr/src/cmd/hwdata/pci.ids	Mon Oct  5 16:30:07 2015
+++ new/usr/src/cmd/hwdata/pci.ids	Mon Oct  5 16:30:07 2015
@@ -1,11 +1,11 @@
 #
 #	List of PCI ID's
 #
-#	Version: 2015.03.17
-#	Date:    2015-03-17 03:15:01
+#	Version: 2015.10.04
+#	Date:    2015-10-04 03:15:02
 #
-#	Maintained by Martin Mares <mj@ucw.cz> and other volunteers from the
-#	PCI ID Project at http://pci-ids.ucw.cz/.
+#	Maintained by Albert Pool, Martin Mares, and other volunteers from
+#	the PCI ID Project at http://pci-ids.ucw.cz/.
 #
 #	New data are always welcome, especially if they are accurate. If you have
 #	anything to contribute, please follow the instructions at the web site.
@@ -21,6 +21,7 @@
 #	device  device_name				<-- single tab
 #		subvendor subdevice  subsystem_name	<-- two tabs
 
+0001  SafeNet (wrong ID)
 0010  Allied Telesis, Inc (Wrong ID)
 # This is a relabelled RTL-8139
 	8139  AT-2500TX V3 Ethernet
@@ -285,6 +286,10 @@
 	0050  SAS1064 PCI-X Fusion-MPT SAS
 		1028 1f04  SAS 5/E
 		1028 1f09  SAS 5i/R
+	0052  MegaRAID SAS-3 3216/3224 [Cutlass]
+	0053  MegaRAID SAS-3 3216/3224 [Cutlass]
+		1000 9350  MegaRAID SAS 9341-16i
+		1000 9351  MegaRAID SAS 9341-24i
 	0054  SAS1068 PCI-X Fusion-MPT SAS
 		1028 1f04  SAS 5/E Adapter Controller
 		1028 1f05  SAS 5/i Adapter Controller
@@ -342,6 +347,7 @@
 		8086 3513  RMS25CB080 RAID Controller
 	005c  SAS1064A PCI-X Fusion-MPT SAS
 	005d  MegaRAID SAS-3 3108 [Invader]
+		1000 9361  MegaRAID SAS 9361-8i
 		1028 1f41  PERC H830 Adapter
 		1028 1f42  PERC H730P Adapter
 		1028 1f43  PERC H730 Adapter
@@ -360,6 +366,7 @@
 		1028 1f4b  PERC H330 Mini
 		1028 1f4c  PERC H330 Mini (for blades)
 		1028 1f4d  PERC H330 Embedded (for monolithic)
+		1054 306a  SAS 3004 iMR ROMB
 	0060  MegaRAID SAS 1078
 		1000 1006  MegaRAID SAS 8888ELP
 		1000 100a  MegaRAID SAS 8708ELP
@@ -490,6 +497,21 @@
 	0097  SAS3008 PCI-Express Fusion-MPT SAS-3
 		1028 1f45  12GB/s HBA internal
 		1028 1f46  12Gbps HBA
+	00c0  SAS3324 PCI-Express Fusion-MPT SAS-3
+	00c1  SAS3324 PCI-Express Fusion-MPT SAS-3
+	00c2  SAS3324 PCI-Express Fusion-MPT SAS-3
+	00c3  SAS3324 PCI-Express Fusion-MPT SAS-3
+	00c4  SAS3224 PCI-Express Fusion-MPT SAS-3
+	00c5  SAS3316 PCI-Express Fusion-MPT SAS-3
+	00c6  SAS3316 PCI-Express Fusion-MPT SAS-3
+	00c7  SAS3316 PCI-Express Fusion-MPT SAS-3
+	00c8  SAS3316 PCI-Express Fusion-MPT SAS-3
+	00c9  SAS3216 PCI-Express Fusion-MPT SAS-3
+	00ce  MegaRAID SAS-3 3316 [Intruder]
+		1000 9371  MegaRAID SAS 9361-16i
+		1000 9390  MegaRAID SAS 9380-8i8e
+	00cf  MegaRAID SAS-3 3324 [Intruder]
+		1000 9370  MegaRAID SAS 9361-24i
 	0407  MegaRAID
 		1000 0530  MegaRAID 530 SCSI 320-0X RAID Controller
 		1000 0531  MegaRAID 531 SCSI 320-4X RAID Controller
@@ -643,6 +665,7 @@
 		18bc 0101  GC-R9600PRO (Primary)
 	4151  RV350 [Radeon 9600 Series]
 		1043 c004  A9600SE
+		174b 7c37  Radeon 9600 SE
 	4152  RV360 [Radeon 9600/X1050 Series]
 		1002 0002  Radeon 9600XT
 		1002 4772  All-in-Wonder 9600 XT
@@ -672,6 +695,7 @@
 		18bc 0100  GC-R9600PRO (Secondary)
 	4171  RV350 [Radeon 9600] (Secondary)
 		1043 c005  A9600SE (Secondary)
+		174b 7c36  Radeon 9600 SE (secondary)
 	4172  RV350 [Radeon 9600/X1050 Series] (Secondary)
 		1002 0003  Radeon 9600XT (Secondary)
 		1002 4773  All-in-Wonder 9600 XT (Secondary)
@@ -1067,8 +1091,9 @@
 	4e4a  R360 [Radeon 9800 XXL/XT]
 		1002 4e4a  R360 [Radeon 9800 XT]
 	4e4b  R350 GL [FireGL X2 AGP Pro]
-	4e50  RV350/M10 [Mobility Radeon 9600 PRO Turbo]
+	4e50  RV350/M10 / RV360/M11 [Mobility Radeon 9600 (PRO) / 9700]
 		1025 005a  TravelMate 290
+		1025 0064  Extensa 3000 series laptop: ATI RV360/M11 [Mobility Radeon 9700]
 		103c 088c  NC8000 laptop
 		103c 0890  NC6000 laptop
 		144d c00c  P35 notebook
@@ -1168,6 +1193,7 @@
 		1458 4002  RV100 QY [RADEON 7000 PRO MAYA AV Series]
 		148c 2003  RV100 QY [Radeon 7000 Multi-Display Edition]
 		148c 2023  RV100 QY [Radeon 7000 Evil Master Multi-Display]
+		148c 2081  RV6DE
 		174b 0280  Radeon RV100 QY [Radeon 7000/VE]
 		174b 7112  Radeon VE 7000
 		174b 7c28  Radeon VE 7000 DDR
@@ -1252,7 +1278,7 @@
 	5652  RV410/M26 [Mobility Radeon X700]
 	5653  RV410/M26 [Mobility Radeon X700]
 		1025 0080  Aspire 5024WLMi
-		103c 0940  HP Compaq NW8240 Mobile Workstation
+		103c 0940  Compaq NW8240 Mobile Workstation
 	5654  264VT [Mach64 VT]
 		1002 5654  Mach64VT Reference
 	5655  264VT3 [Mach64 VT3]
@@ -1443,25 +1469,31 @@
 	6602  Mars
 	6603  Mars
 	6604  Opal XT [Radeon R7 M265]
+		103c 8006  FirePro M4170
+		17aa 3643  Radeon R7 A360
 	6605  Opal PRO [Radeon R7 M260]
 	6606  Mars XTX [Radeon HD 8790M]
 		1028 0684  FirePro W4170M
 	6607  Mars LE [Radeon HD 8530M / R5 M240]
 	6608  Oland GL [FirePro W2100]
-	6610  Oland XT [Radeon HD 8670 / R7 250]
+	6610  Oland XT [Radeon HD 8670 / R7 250/350]
 		1019 0030  Radeon HD 8670
 		1028 2120  Radeon R7 250
 		1028 2322  Radeon R7 250
 		1462 2910  Radeon HD 8670
 		1462 2911  Radeon HD 8670
+		148c 7350  Radeon R7 350
 		1642 3c81  Radeon HD 8670
 		1642 3c91  Radeon HD 8670
-	6611  Oland [Radeon HD 8570 / R7 240 OEM]
+		1642 3f09  Radeon R7 350
+	6611  Oland [Radeon HD 8570 / R7 240/340 OEM]
 		1028 210b  Radeon R5 240 OEM
 		174b 4248  Radeon R7 240 OEM
 		174b a240  Radeon R7 240 OEM
+		174b d340  Radeon R7 340 OEM
 		1b0a 90d3  Radeon R7 240 OEM
-	6613  Oland PRO [Radeon R7 240]
+	6613  Oland PRO [Radeon R7 240/340]
+		148c 7340  Radeon R7 340
 		1682 7240  R7 240 2048 MB
 	6620  Mars
 	6621  Mars PRO
@@ -1474,14 +1506,21 @@
 	6649  Bonaire [FirePro W5100]
 	6650  Bonaire
 	6651  Bonaire
-	6658  Bonaire XTX [Radeon R7 260X]
-	665c  Bonaire XT [Radeon HD 7790/8770 / R9 260 OEM]
+	6658  Bonaire XTX [Radeon R7 260X/360]
+		148c 0907  Radeon R7 360
+		1682 0907  Radeon R7 360
+		1682 7360  Radeon R7 360
+	665c  Bonaire XT [Radeon HD 7790/8770 / R7 360 / R9 260/360 OEM]
 		1043 0452  Radeon HD 7790 DirectCU II OC
 # R7790-1GD5/OC
 		1462 2930  Radeon HD 7790 OC
 		1462 2932  Radeon HD 8770
 		1462 2934  Radeon R9 260 OEM
+		1462 2938  Radeon R9 360 OEM
+		148c 0907  Radeon R7 360
 		148c 9260  Radeon R9 260 OEM
+		148c 9360  Radeon R9 360 OEM
+		1682 0907  Radeon R7 360
 # FX-779A-CDB4 / FX-779A-CDBC
 		1682 3310  Radeon HD 7790 Black Edition 2 GB
 # 100356OCL / 11210-01-20G
@@ -1488,15 +1527,21 @@
 		174b e253  Radeon HD 7790 Dual-X OC
 		1787 2329  Radeon HD 7790 TurboDuo
 	665d  Bonaire [Radeon R7 200 Series]
-	665f  Tobago [Radeon R7 300 Series]
-	6660  Sun XT [Radeon HD 8670A/8670M/8690M]
+	665f  Tobago PRO [Radeon R7 360 / R9 360 OEM]
+		1028 0b04  Radeon R9 360 OEM
+		1462 2938  Radeon R9 360 OEM
+		1462 3271  Radeon R9 360 OEM
+		1682 7360  Radeon R7 360
+	6660  Sun XT [Radeon HD 8670A/8670M/8690M / R5 M330]
+		17aa 3809  Radeon R5 M330
+		17aa 390c  Radeon R5 M330
 	6663  Sun PRO [Radeon HD 8570A/8570M]
 		1025 0846  Radeon HD 8570A
 	6664  Jet XT [Radeon R5 M240]
 	6665  Jet PRO [Radeon R5 M230]
+		17aa 368f  Radeon R5 A230
 	6667  Jet ULT [Radeon R5 M230]
 	666f  Sun LE [Radeon HD 8550M / R5 M230]
-	6670  Hainan
 	6704  Cayman PRO GL [FirePro V7900]
 	6707  Cayman LE GL [FirePro V5900]
 	6718  Cayman XT [Radeon HD 6970]
@@ -1515,8 +1560,6 @@
 		1558 5104  Radeon HD 6990M
 		1558 7201  Radeon HD 6990M
 		174b e188  Radeon HD 6970M
-	6724  Blackcomb [Mobility Radeon HD 6000 series]
-	6725  Blackcomb [Radeon HD 6900M Series]
 	6738  Barts XT [Radeon HD 6870]
 # HD-687A-ZDFC
 		1682 3103  Radeon HD 8670
@@ -1928,7 +1971,7 @@
 		17aa 3658  Radeon HD 7470A
 	6771  Caicos XTX [Radeon HD 8490 / R5 235X OEM]
 	6772  Caicos [Radeon HD 7450A]
-	6778  Caicos XT [Radeon HD 7470/8470 / R5 235 OEM]
+	6778  Caicos XT [Radeon HD 7470/8470 / R5 235/310 OEM]
 		1019 0024  Radeon HD 7470
 		1019 0027  Radeon HD 8470
 		1028 2120  Radeon HD 7470
@@ -1935,10 +1978,14 @@
 		1462 b491  Radeon HD 8470
 		1462 b492  Radeon HD 8470
 		1462 b493  Radeon HD 8470 OEM
+		1462 b499  Radeon R5 235 OEM
 		1642 3c65  Radeon HD 8470
 		1642 3c75  Radeon HD 8470
 		174b 8145  Radeon HD 8470
+		174b d145  Radeon R5 235 OEM
+		174b d335  Radeon R5 310 OEM
 		174b e145  Radeon HD 7470
+		17aa 3694  Radeon R5 A220
 	6779  Caicos [Radeon HD 6450/7450/8450 / R5 230 OEM]
 		1019 0016  Radeon HD 6450
 		1019 0017  Radeon HD 6450
@@ -1974,8 +2021,8 @@
 		1b0a 90bb  Radeon HD 7450A
 	677b  Caicos PRO [Radeon HD 7450]
 	6780  Tahiti XT GL [FirePro W9000]
-	6784  Tahiti [ATI FirePro V (FireGL V) Graphics Adapter]
-	6788  Tahiti [ATI FirePro V (FireGL V) Graphics Adapter]
+	6784  Tahiti [FirePro Series Graphics Adapter]
+	6788  Tahiti [FirePro Series Graphics Adapter]
 	678a  Tahiti PRO GL [FirePro Series]
 		1002 030c  FirePro W8000
 		1002 0310  FirePro S9000
@@ -1985,9 +2032,7 @@
 		1002 0b0e  FirePro S10000 Passive
 		1002 0b2a  FirePro S10000
 		1028 030c  FirePro W8000
-	6790  Tahiti
-	6791  Tahiti
-	6792  Tahiti
+		1028 0710  FirePro S9000
 	6798  Tahiti XT [Radeon HD 7970/8970 OEM / R9 280X]
 		1002 3000  Tahiti XT2 [Radeon HD 7970 GHz Edition]
 		1002 3001  Tahiti XTL [Radeon R9 280X]
@@ -2028,8 +2073,12 @@
 	679e  Tahiti LE [Radeon HD 7870 XT]
 	679f  Tahiti
 	67a0  Hawaii XT GL [FirePro W9100]
+		1002 0335  FirePro S9150
+		1028 031f  FirePro W9100
+		1028 0335  FirePro S9150
 	67a1  Hawaii PRO GL [FirePro W8100]
 		1002 0335  FirePro S9100
+		1028 0335  FirePro S9100
 	67a2  Hawaii GL
 	67a8  Hawaii
 	67a9  Hawaii
@@ -2072,22 +2121,38 @@
 		1002 0310  FirePro S7000
 		1002 0420  Radeon Sky 500
 	6809  Pitcairn LE GL [FirePro W5000]
-	6810  Curacao XT [Radeon R9 270X]
-	6811  Curacao PRO [Radeon R9 270]
+	6810  Curacao XT [Radeon R7 370 / R9 270X/370 OEM]
+		148c 0908  Radeon R9 370 OEM
+		1682 7370  Radeon R7 370
+	6811  Curacao PRO [Radeon R7 370 / R9 270/370 OEM]
+		1028 0b00  Trinidad PRO [Radeon R9 370 OEM]
+		1043 2016  Trinidad PRO [Radeon R9 370 OEM]
+		1458 2016  Trinidad PRO [Radeon R9 370 OEM]
+		1462 2016  Trinidad PRO [Radeon R9 370 OEM]
+		148c 2016  Trinidad PRO [Radeon R9 370 OEM]
+		1682 2015  Trinidad PRO [Radeon R7 370]
+		174b 2016  Trinidad PRO [Radeon R9 370 OEM]
+		1787 2016  Trinidad PRO [Radeon R9 370 OEM]
 	6816  Pitcairn
 	6817  Pitcairn
 	6818  Pitcairn XT [Radeon HD 7870 GHz Edition]
 		1002 0b05  Radeon HD 8870 OEM
 		174b 8b04  Radeon HD 8860
-	6819  Pitcairn PRO [Radeon HD 7850]
+	6819  Pitcairn PRO [Radeon HD 7850 / R7 265 / R9 270 1024SP]
+		1682 7269  Radeon R9 270 1024SP
+		1682 9278  Radeon R9 270 1024SP
+		174b a008  Radeon R9 270 1024SP
 		174b e221  Radeon HD 7850 2GB GDDR5 DVI-I/DVI-D/HDMI/DP
-	6820  Venus XTX [Radeon HD 8890M / R9 M275X]
+	6820  Venus XTX [Radeon HD 8890M / R9 M275X/M375X]
 		103c 1851  Radeon HD 7750M
+		17aa 3643  Radeon R9 A375
 		17aa 3801  Radeon R9 M275
-	6821  Venus XT [Radeon HD 8870M / R9 M270X]
+		17aa 3824  Radeon R9 M375
+	6821  Venus XT [Radeon HD 8870M / R9 M270X/M370X]
 		1002 031e  FirePro SX4000
 		1028 05cc  FirePro M5100
 		1028 15cc  FirePro M5100
+		106b 0149  Radeon R9 M370X Mac Edition
 	6822  Venus PRO [Radeon E8860]
 	6823  Venus PRO [Radeon HD 8850M / R9 M265X]
 	6825  Heathrow XT [Radeon HD 7870M]
@@ -2114,9 +2179,6 @@
 		1462 8092  Radeon HD 8730
 		148c 8730  Radeon HD 8730
 		1787 3000  Radeon HD 6570
-	6838  Cape Verde
-	6839  Cape Verde
-	683b  Cape Verde [Radeon HD 7700 Series]
 	683d  Cape Verde XT [Radeon HD 7770/8760 / R7 250X]
 		1002 0030  Radeon HD 8760 OEM
 		1019 0030  Radeon HD 8760 OEM
@@ -2124,7 +2186,10 @@
 		1043 8760  Radeon HD 8760 OEM
 		1462 2710  R7770-PMD1GD5
 		174b 8304  Radeon HD 8760 OEM
-	683f  Cape Verde PRO [Radeon HD 7750 / R7 250E]
+	683f  Cape Verde PRO [Radeon HD 7750/8740 / R7 250E]
+		1462 2790  Radeon HD 8740
+		1462 2791  Radeon HD 8740
+		1642 3b97  Radeon HD 8740
 	6840  Thames [Radeon HD 7500M/7600M Series]
 		1025 050e  Radeon HD 7670M
 		1025 050f  Radeon HD 7670M
@@ -2703,12 +2768,13 @@
 		1179 f903  Radeon R7 M260
 		1179 f934  Radeon R7 M260
 	6901  Topaz PRO [Radeon R5 M255]
-	6920  Tonga
 	6921  Amethyst XT [Radeon R9 M295X]
+	6929  Tonga XT GL [FirePro S7150]
 	692b  Tonga PRO GL [FirePro W7100]
-	692f  Tonga XT GL [FirePro W8100]
+	692f  Tonga XTV GL [FirePro S7150V]
 	6938  Amethyst XT [Radeon R9 M295X Mac Edition]
-	6939  Tonga PRO [Radeon R9 285]
+	6939  Tonga PRO [Radeon R9 285/380]
+		148c 9380  Radeon R9 380
 	700f  RS100 AGP Bridge
 	7010  RS200/RS250 AGP Bridge
 	7100  R520 [Radeon X1800 XT]
@@ -2829,6 +2895,11 @@
 	72a8  RV570 [Radeon X1950 GT] (Secondary)
 	72b1  RV560 [Radeon X1650 XT] (Secondary)
 	72b3  RV560 [Radeon X1650 GT] (Secondary)
+	7300  Fiji [Radeon R9 FURY / NANO Series]
+		1002 0b36  Radeon R9 FURY X / NANO
+		1043 049e  Radeon R9 FURY
+		1043 04a0  Radeon R9 FURY X
+		174b e329  Radeon R9 FURY
 	7833  RS350 Host Bridge
 	7834  RS350 [Radeon 9100 PRO/XT IGP]
 	7835  RS350M [Mobility Radeon 9000 IGP]
@@ -3075,12 +3146,7 @@
 	9837  Kabini [Radeon HD 8280E]
 	9838  Kabini [Radeon HD 8240 / R3 Series]
 	9839  Kabini [Radeon HD 8180]
-	983a  Kabini
-	983b  Kabini
-	983c  Kabini
 	983d  Temash [Radeon HD 8250/8280G]
-	983e  Kabini
-	983f  Kabini
 	9840  Kabini HDMI/DP Audio
 	9850  Mullins [Radeon R3 Graphics]
 	9851  Mullins [Radeon R4/R5 Graphics]
@@ -3100,10 +3166,12 @@
 	985f  Mullins
 	9874  Carrizo
 	9900  Trinity [Radeon HD 7660G]
+		103c 1985  Pavilion 17-e163sg Notebook PC
 # AMD A10-5800K CPU
 	9901  Trinity [Radeon HD 7660D]
 	9902  Trinity HDMI Audio Controller
 		103c 194e  ProBook 455 G1 Notebook
+		103c 1985  Pavilion 17-e163sg Notebook PC
 	9903  Trinity [Radeon HD 7640G]
 		103c 194e  ProBook 455 G1 Notebook
 		103c 1952  ProBook 455 G1 Notebook
@@ -3170,6 +3238,7 @@
 		174b aa98  Radeon HD 6450 1GB DDR3
 	aaa0  Tahiti XT HDMI Audio [Radeon HD 7970 Series]
 	aab0  Cape Verde/Pitcairn HDMI Audio [Radeon HD 7700/7800 Series]
+	aac8  Hawaii HDMI Audio
 	ac00  Theater 600 Pro
 	ac02  TV Wonder HD 600 PCIe
 	ac12  Theater HD T507 (DVB-T) TV tuner/capture device
@@ -3683,9 +3752,12 @@
 	1404  Family 15h (Models 10h-1fh) Processor Function 4
 	1405  Family 15h (Models 10h-1fh) Processor Function 5
 	1410  Family 15h (Models 10h-1fh) Processor Root Complex
+		103c 1985  Pavilion 17-e163sg Notebook PC
 	1412  Family 15h (Models 10h-1fh) Processor Root Port
+		1022 1234  Trinity A-series APU
 	1413  Family 15h (Models 10h-1fh) Processor Root Port
 	1414  Family 15h (Models 10h-1fh) Processor Root Port
+		1022 1234  Trinity A-series APU
 	1415  Family 15h (Models 10h-1fh) Processor Root Port
 	1416  Family 15h (Models 10h-1fh) Processor Root Port
 	1417  Family 15h (Models 10h-1fh) Processor Root Port
@@ -3701,6 +3773,7 @@
 	1423  Family 15h (Models 30h-3fh) I/O Memory Management Unit
 	1426  Family 15h (Models 30h-3fh) Processor Root Port
 	1439  Family 16h Processor Functions 5:1
+	145b  Zeppelin Non-Transparent Bridge
 	1510  Family 14h Processor Root Complex
 		174b 1001  PURE Fusion Mini
 	1512  Family 14h Processor Root Port
@@ -3846,27 +3919,34 @@
 	7802  FCH SATA Controller [RAID mode]
 	7803  FCH SATA Controller [RAID mode]
 	7804  FCH SATA Controller [AHCI mode]
+		103c 1985  Pavilion 17-e163sg Notebook PC
 	7805  FCH SATA Controller [RAID mode]
 	7806  FCH SD Flash Controller
 	7807  FCH USB OHCI Controller
 		103c 194e  ProBook 455 G1 Notebook
+		103c 1985  Pavilion 17-e163sg Notebook PC
 	7808  FCH USB EHCI Controller
 		103c 194e  ProBook 455 G1 Notebook
+		103c 1985  Pavilion 17-e163sg Notebook PC
 	7809  FCH USB OHCI Controller
 		103c 194e  ProBook 455 G1 Notebook
 	780b  FCH SMBus Controller
 		103c 194e  ProBook 455 G1 Notebook
+		103c 1985  Pavilion 17-e163sg Notebook PC
 	780c  FCH IDE Controller
 	780d  FCH Azalia Controller
 		103c 194e  ProBook 455 G1 Notebook
+		103c 1985  Pavilion 17-e163sg Notebook PC
 		1043 8444  F2A85-M Series
 	780e  FCH LPC Bridge
 		103c 194e  ProBook 455 G1 Notebook
+		103c 1985  Pavilion 17-e163sg Notebook PC
 	780f  FCH PCI Bridge
 	7812  FCH USB XHCI Controller
 	7813  FCH SD Flash Controller
 	7814  FCH USB XHCI Controller
 		103c 194e  ProBook 455 G1 Notebook
+		103c 1985  Pavilion 17-e163sg Notebook PC
 	7900  FCH SATA Controller [IDE mode]
 	7901  FCH SATA Controller [AHCI mode]
 	7902  FCH SATA Controller [RAID mode]
@@ -4085,6 +4165,7 @@
 		102b 2100  MGA-2164W Millennium II
 	051e  MGA 1064SG [Mystique] AGP
 	051f  MGA 2164W [Millennium II] AGP
+		102b 2100  MGA-2164WA [Millennium II A]
 	0520  MGA G200
 		102b dbc2  G200 Multi-Monitor
 		102b dbc8  G200 Multi-Monitor
@@ -4125,7 +4206,7 @@
 		102b f806  Mystique G200 Video AGP
 		102b ff00  MGA-G200 AGP
 		102b ff02  Mystique G200 AGP
-		102b ff03  Millennium G200 AGP
+		102b ff03  Millennium G200A AGP
 		102b ff04  Marvel G200 AGP
 		110a 0032  MGA-G200 AGP
 	0522  MGA G200e [Pilot] ServerEngines (SEP1)
@@ -4434,6 +4515,7 @@
 		103c 1293  USB add-in card
 		103c 1294  USB 2.0 add-in card
 		1179 0001  USB
+		1186 0035  DUB-C2 USB 2.0 2-port 32-bit cardbus controller
 		12ee 7000  Root Hub
 		14c2 0105  PTI-205N USB 2.0 Host Controller
 		1799 0001  Root Hub
@@ -4465,6 +4547,7 @@
 	00ce  uPD72871 [Firewarden] IEEE1394a OHCI 1.0 Link/1-port PHY Controller
 	00df  Vr4131
 	00e0  uPD72010x USB 2.0 Controller
+		1186 f100  DUB-C2 USB 2.0 2-port 32-bit cardbus controller
 		12ee 7001  Root hub
 		14c2 0205  PTI-205N USB 2.0 Host Controller
 		1799 0002  Root Hub
@@ -4480,6 +4563,7 @@
 		1028 04b2  Vostro 3350
 		1028 04da  Vostro 3750
 		1043 8413  P8P67 Deluxe Motherboard
+		104d 907a  Vaio VPCF1
 		1af4 1100  QEMU Virtual Machine
 		1b96 0001  USB 3.0 PCIe Card
 	01e7  uPD72873 [Firewarden] IEEE1394a OHCI 1.1 Link/2-port PHY Controller
@@ -4558,7 +4642,7 @@
 		1734 1099  D2030-A1 Motherboard
 	0900  SiS900 PCI Fast Ethernet
 		1019 0a14  K7S5A motherboard
-		1039 0900  SiS900 10/100 Ethernet Adapter onboard [Asus P4SC-EA]
+		1039 0900  SiS900 10/100 Ethernet Adapter onboard
 		1043 8035  CUSI-FX motherboard
 		1043 80a7  Motherboard P4S800D-X
 		1462 0900  MS-6701 motherboard
@@ -4640,7 +4724,7 @@
 		1019 0f05  A928 (i-Buddie)
 		1039 7012  SiS 7012 onboard [Asus P4SC-EA] AC'97 Sound Controller
 		1043 818f  A8S-X Motherboard
-		13f6 0300  CMI9739(A) on ECS K7SOM+ motherboard
+		13f6 0300  CMI9739(A) on ECS K7S series motherboard
 		1462 5850  MSI 648 Max (MS-6585)
 		1462 7010  MS-6701 motherboard
 		15bd 1001  DFI 661FX motherboard
@@ -4750,23 +4834,23 @@
 		103c 3212  Smart Array E200
 	3239  Smart Array Gen9 Controllers
 		103c 21bd  P244br
-		103c 21be  Smart Array
+		103c 21be  P741m
 		103c 21bf  H240ar
 		103c 21c0  P440ar
-		103c 21c1  Smart Array
+		103c 21c1  P840ar
 		103c 21c2  P440
 		103c 21c3  P441
 		103c 21c4  Smart Array
-		103c 21c5  Smart Array
+		103c 21c5  P841
 		103c 21c6  H244br
 		103c 21c7  H240
 		103c 21c8  H241
 		103c 21c9  Smart Array
-		103c 21ca  Smart Array
+		103c 21ca  P246br
 		103c 21cb  P840
 		103c 21cc  Smart Array
-		103c 21cd  Smart Array
-		103c 21ce  Smart Array
+		103c 21cd  P240nr
+		103c 21ce  H240nr
 	323a  Smart Array G6 controllers
 		103c 3241  Smart Array P212
 		103c 3243  Smart Array P410
@@ -4773,7 +4857,7 @@
 		103c 3245  Smart Array P410i
 		103c 3247  Smart Array P411
 		103c 3249  Smart Array P812
-		103c 324a  HP Smart Array 712m (Mezzanine RAID controller)
+		103c 324a  Smart Array 712m (Mezzanine RAID controller)
 		103c 324b  Smart Array P711m (Mezzanine RAID controller)
 	323b  Smart Array Gen8 Controllers
 		103c 3350  P222
@@ -5054,16 +5138,19 @@
 	802e  PCI7x20 1394a-2000 OHCI Two-Port PHY/Link-Layer Controller
 		1028 018d  Inspiron 700m/710m
 	8031  PCIxx21/x515 Cardbus Controller
+		1025 0064  Extensa 3000 series laptop
 		1025 0080  Aspire 5024WLMi
 		103c 0934  Compaq nw8240/nx8220
 		103c 099c  NX6110/NC6120
 		103c 308b  MX6125
 	8032  OHCI Compliant IEEE 1394 Host Controller
+		1025 0064  Extensa 3000 series laptop
 		1025 0080  Aspire 5024WLMi
 		103c 0934  Compaq nw8240/nx8220
 		103c 099c  NX6110/NC6120
 		103c 308b  MX6125
 	8033  PCIxx21 Integrated FlashMedia Controller
+		1025 0064  Extensa 3000 series laptop
 		1025 0080  Aspire 5024WLMi
 		103c 0934  Compaq nw8240/nx8220
 		103c 099c  NX6110/NC6120
@@ -5652,6 +5739,7 @@
 	0074  U4 HT Bridge
 # should be 14e4:1645
 	1645  Broadcom NetXtreme BCM5701 Gigabit Ethernet
+	2001  PCI Express SSD
 106c  Hynix Semiconductor
 	8139  8139c 100BaseTX Ethernet Controller
 	8801  Dual Pentium ISA/PCI Motherboard
@@ -5708,8 +5796,13 @@
 		101e 8493  QLA12160 on AMI MegaRAID
 	1240  ISP1240 SCSI Host Adapter
 	1280  ISP1280 SCSI Host Adapter
+	1634  FastLinQ QL45000 Series 40GbE Controller
+	1656  FastLinQ QL45000 Series 25GbE Controller
+	165e  FastLinQ QL45000 Series 100GbE Controller
+	1664  FastLinQ QL45000 Series Gigabit Ethernet Controller (SR-IOV VF)
 	2020  ISP2020A Fast!SCSI Basic Adapter
 	2031  ISP8324-based 16Gb Fibre Channel to PCI Express Adapter
+		103c 8002  3830C 16G Fibre Channel Host Bus Adapter
 	2100  QLA2100 64-bit Fibre Channel Adapter
 		1077 0001  QLA2100 64-bit Fibre Channel Adapter
 	2200  QLA2200 64-bit Fibre Channel Adapter
@@ -5749,6 +5842,7 @@
 		1077 020c  3200 Series Quad Port 1Gb Intelligent Ethernet Adapter
 		1077 020f  3200 Series Single Port 10Gb Intelligent Ethernet Adapter
 		1077 0210  QME8242-k 10GbE Dual Port Mezzanine Card
+		1077 0233  QME8262-k 10GbE Dual Port Mezzanine Card
 	8021  8200 Series 10GbE Converged Network Adapter (FCoE)
 		103c 3348  CN1000Q Dual Port Converged Network Adapter
 		1077 0211  QME8242-k 10GbE Dual Port Mezzanine Card, FCoE
@@ -7156,6 +7250,8 @@
 		1517 000f  ECDR-GC314-PMC Receiver
 		1885 0700  Tsunami FPGA PMC with Altera Stratix S40
 		1885 0701  Tsunami FPGA PMC with Altera Stratix S30
+	9733  PEX 9733 33-lane, 9-port PCI Express Gen 3 (8.0 GT/s) Switch
+	9749  PEX 9749 49-lane, 13-port PCI Express Gen 3 (8.0 GT/s) Switch
 	a100  Blackmagic Design DeckLink
 	bb04  B&B 3PCIOSD1A Isolated PCI Serial
 	c001  CronyxOmega-PCI (8-port RS232)
@@ -7546,8 +7642,8 @@
 10cd  Advanced System Products, Inc
 	1100  ASC1100
 	1200  ASC1200 [(abp940) Fast SCSI-II]
-	1300  ABP940-U / ABP960-U
-		10cd 1310  ASC1300 SCSI Adapter
+	1300  ASC1300 / ASC3030 [ABP940-U / ABP960-U / ABP3925]
+		10cd 1310  ASC1300/3030 SCSI adapter
 		1195 1320  Ultra-SCSI CardBus PC Card REX CB31
 	2300  ABP940-UW
 	2500  ABP940-U2W
@@ -7883,6 +7979,7 @@
 	00c9  NV41M [GeForce Go 6800 Ultra]
 	00cc  NV41GLM [Quadro FX Go1400]
 	00cd  NV42GL [Quadro FX 3450/4000 SDI]
+		10de 029b  Quadro FX 3450
 	00ce  NV41GL [Quadro FX 1400]
 	00cf  NV41
 	00d0  nForce3 LPC Bridge
@@ -8155,6 +8252,7 @@
 	01d2  G72 [GeForce 7550 LE]
 	01d3  G72 [GeForce 7200 GS / 7300 SE]
 		1043 8203  EN7300SE
+		1043 8250  EN7200GS
 	01d5  G72
 	01d6  G72M [GeForce Go 7200]
 	01d7  G72M [Quadro NVS 110M/GeForce Go 7300]
@@ -8784,15 +8882,20 @@
 		1849 0569  K10N78FullHD-hSLI R3.0 PCI Express Bridge
 	056a  MCP73 [nForce 630i] USB 2.0 Controller (EHCI)
 		1019 297a  MCP73PVT-SM
-	056c  MCP73 IDE
+		147b 1c3e  I-N73V motherboard
+	056c  MCP73 IDE Controller
 		1019 297a  MCP73PVT-SM
+		147b 1c3e  I-N73V motherboard
 		1afa 7150  JW-IN7150-HD
 	056d  MCP73 PCI Express bridge
 		1019 297a  MCP73PVT-SM
+		10de cb73  MCP73 PCI Bridge
 	056e  MCP73 PCI Express bridge
 		1019 297a  MCP73PVT-SM
+		10de 0000  MCP73 PCIe x16 port
 	056f  MCP73 PCI Express bridge
 		1019 297a  MCP73PVT-SM
+		10de 0000  MCP73 PCIe x1 port
 	05b1  NF200 PCIe 2.0 switch
 	05b8  NF200 PCIe 2.0 switch for GTX 295
 	05be  NF200 PCIe 2.0 switch for Quadro Plex S4 / Tesla S870 / Tesla S1070 / Tesla S2050
@@ -8892,6 +8995,7 @@
 	0642  G96 [D9M-10]
 	0643  G96 [GeForce 9500 GT]
 	0644  G96 [GeForce 9500 GS]
+		174b 9600  Geforce 9500GS 512M DDR2 V/D/HDMI
 	0645  G96 [GeForce 9500 GS]
 	0646  G96 [GeForce GT 120]
 	0647  G96M [GeForce 9600M GT]
@@ -8951,6 +9055,7 @@
 		10de 084d  Tesla M2070-Q
 		10de 087f  Tesla M2070-Q
 	06e0  G98 [GeForce 9300 GE]
+		107d 5a96  Geforce 9300GE
 	06e1  G98 [GeForce 9300 GS]
 	06e2  G98 [GeForce 8400]
 	06e3  G98 [GeForce 8300 GS]
@@ -9065,49 +9170,65 @@
 	07c1  MCP73 Host Bridge
 		1019 297a  MCP73PVT-SM
 	07c2  MCP73 Host Bridge
+	07c3  MCP73 Host Bridge
+		147b 1c3e  I-N73V motherboard
 	07c5  MCP73 Host Bridge
 	07c8  MCP73 Memory Controller
 		1019 297a  MCP73PVT-SM
+		147b 1c3e  I-N73V motherboard
 		1afa 7150  JW-IN7150-HD
-	07cb  nForce 630i memory controller
+	07cb  nForce 610i/630i memory controller
 		1019 297a  MCP73PVT-SM
+		147b 1c3e  I-N73V motherboard
 		1afa 7150  JW-IN7150-HD
-	07cd  nForce 630i memory controller
+	07cd  nForce 610i/630i memory controller
 		1019 297a  MCP73PVT-SM
+		147b 1c3e  I-N73V motherboard
 		1afa 7150  JW-IN7150-HD
-	07ce  nForce 630i memory controller
+	07ce  nForce 610i/630i memory controller
 		1019 297a  MCP73PVT-SM
+		147b 1c3e  I-N73V motherboard
 		1afa 7150  JW-IN7150-HD
-	07cf  nForce 630i memory controller
+	07cf  nForce 610i/630i memory controller
 		1019 297a  MCP73PVT-SM
+		147b 1c3e  I-N73V motherboard
 		1afa 7150  JW-IN7150-HD
-	07d0  nForce 630i memory controller
+	07d0  nForce 610i/630i memory controller
 		1019 297a  MCP73PVT-SM
+		147b 1c3e  I-N73V motherboard
 		1afa 7150  JW-IN7150-HD
-	07d1  nForce 630i memory controller
+	07d1  nForce 610i/630i memory controller
 		1019 297a  MCP73PVT-SM
+		147b 1c3e  I-N73V motherboard
 		1afa 7150  JW-IN7150-HD
-	07d2  nForce 630i memory controller
+	07d2  nForce 610i/630i memory controller
 		1019 297a  MCP73PVT-SM
+		147b 1c3e  I-N73V motherboard
 		1afa 7150  JW-IN7150-HD
-	07d3  nForce 630i memory controller
+	07d3  nForce 610i/630i memory controller
 		1019 297a  MCP73PVT-SM
+		147b 1c3e  I-N73V motherboard
 		1afa 7150  JW-IN7150-HD
-	07d6  nForce 630i memory controller
+	07d6  nForce 610i/630i memory controller
 		1019 297a  MCP73PVT-SM
+		147b 1c3e  I-N73V motherboard
 		1afa 7150  JW-IN7150-HD
 	07d7  MCP73 LPC Bridge
 		1019 297a  MCP73PVT-SM
+		147b 1c3e  I-N73V motherboard
 		1afa 7150  JW-IN7150-HD
 	07d8  MCP73 SMBus
 		1019 297a  MCP73PVT-SM
+		147b 1c3e  I-N73V motherboard
 		1afa 7150  JW-IN7150-HD
 	07d9  MCP73 Memory Controller
 		1019 297a  MCP73PVT-SM
+		147b 1c3e  I-N73V motherboard
 		1afa 7150  JW-IN7150-HD
 	07da  MCP73 Co-processor
 		1afa 7150  JW-IN7150-HD
 	07dc  MCP73 Ethernet
+		147b 1c3e  I-N73V motherboard
 	07dd  MCP73 Ethernet
 	07de  MCP73 Ethernet
 	07df  MCP73 Ethernet
@@ -9117,16 +9238,22 @@
 		1019 297a  MCP73PVT-SM
 	07e2  C73 [GeForce 7050 / nForce 630i]
 	07e3  C73 [GeForce 7050 / nForce 610i]
+		147b 1c3e  I-N73V motherboard
 	07e5  C73 [GeForce 7100 / nForce 620i]
-	07f0  MCP73 IDE
+	07f0  MCP73 SATA Controller (IDE mode)
+		147b 1c3e  I-N73V motherboard
 	07f4  GeForce 7100/nForce 630i SATA
 		1019 297a  MCP73PVT-SM
+		147b 1c3e  I-N73V motherboard
 	07f8  MCP73 SATA RAID Controller
+		147b 1c3e  I-N73V motherboard
 	07fc  MCP73 High Definition Audio
 		1019 297a  MCP73PVT-SM
 		10de 07fc  MCP73 High Definition Audio
-	07fe  GeForce 7100/nForce 630i USB
+		147b 1c3e  I-N73V motherboard
+	07fe  MCP73 OHCI USB 1.1 Controller
 		1019 297a  MCP73PVT-SM
+		147b 1c3e  I-N73V motherboard
 		1afa 7150  JW-IN7150-HD
 	0840  C77 [GeForce 8200M]
 	0844  C77 [GeForce 9100M G]
@@ -9210,6 +9337,7 @@
 	0a64  GT218 [ION]
 	0a65  GT218 [GeForce 210]
 		1043 8334  EN210 SILENT
+		1462 8094  N210 [Geforce 210] PCIe graphics adapter
 	0a66  GT218 [GeForce 310]
 	0a67  GT218 [GeForce 315]
 	0a68  GT218M [GeForce G 105M]
@@ -9363,6 +9491,7 @@
 	0be3  High Definition Audio Controller
 		1028 040b  Latitude E6510
 		10de 066d  G98 [GeForce 8400GS]
+		1462 8094  N210 [Geforce 210] PCIe graphics adapter
 	0be4  High Definition Audio Controller
 	0be5  GF100 High Definition Audio Controller
 	0be9  GF106 High Definition Audio Controller
@@ -9496,6 +9625,7 @@
 	0fc6  GK107 [GeForce GTX 650]
 		1043 8428  GTX650-DC-1GD5
 	0fc8  GK107 [GeForce GT 740]
+	0fc9  GK107 [GeForce GT 730]
 	0fcd  GK107M [GeForce GT 755M]
 	0fce  GK107M [GeForce GT 640M LE]
 	0fd1  GK107M [GeForce GT 650M]
@@ -9530,6 +9660,8 @@
 		10de 101e  GRID K100
 	0fe9  GK107M [GeForce GT 750M Mac Edition]
 	0fea  GK107M [GeForce GT 755M Mac Edition]
+	0fec  GK107M [GeForce 710A]
+	0fed  GK107M [GeForce 820M]
 	0fef  GK107GL [GRID K340]
 	0ff1  GK107 [NVS 1000]
 	0ff2  GK107GL [GRID K1]
@@ -9578,6 +9710,7 @@
 	1021  GK110GL [Tesla K20Xm]
 	1022  GK110GL [Tesla K20c]
 	1023  GK110BGL [Tesla K40m]
+		10de 097e  12GB Computational Accelerator
 	1024  GK110BGL [Tesla K40c]
 	1026  GK110GL [Tesla K20s]
 	1027  GK110BGL [Tesla K40st]
@@ -9707,6 +9840,7 @@
 		1025 0856  GeForce 820M
 		1025 0857  GeForce 820M
 		1025 0858  GeForce 820M
+		1025 0863  GeForce 820M
 		1025 0868  GeForce 820M
 		1025 0869  GeForce 810M
 		1025 0873  GeForce 820M
@@ -9720,6 +9854,7 @@
 		1025 0921  GeForce 820M
 		1025 092e  GeForce 810M
 		1025 092f  GeForce 820M
+		1025 0932  GeForce 820M
 		1025 093a  GeForce 820M
 		1025 093c  GeForce 820M
 		1025 093f  GeForce 820M
@@ -10028,9 +10163,11 @@
 	11c3  GK106 [GeForce GTX 650 Ti OEM]
 		10de 1030  GeForce GTX 650 Ti OEM
 	11c4  GK106 [GeForce GTX 645 OEM]
+	11c5  GK106 [GeForce GT 740]
 	11c6  GK106 [GeForce GTX 650 Ti]
 	11c7  GK106 [GeForce GTX 750 Ti]
 	11c8  GK106 [GeForce GTX 650 OEM]
+	11cb  GK106 [GeForce GT 740]
 	11e0  GK106M [GeForce GTX 770M]
 	11e1  GK106M [GeForce GTX 765M]
 	11e2  GK106M [GeForce GTX 765M]
@@ -10090,6 +10227,7 @@
 	1286  GK208 [GeForce GT 720]
 	1287  GK208 [GeForce GT 730]
 	1288  GK208 [GeForce GT 720]
+	1289  GK208 [GeForce GT 710]
 	1290  GK208M [GeForce GT 730M]
 		103c 2afa  GeForce GT 730A
 		103c 2b04  GeForce GT 730A
@@ -10114,6 +10252,7 @@
 	1296  GK208M [GeForce 825M]
 	1298  GK208M [GeForce GT 720M]
 	1299  GK208M [GeForce 920M]
+	129a  GK208M [GeForce 910M]
 	12a0  GK208
 	12b9  GK208GLM [Quadro K610M]
 	12ba  GK208GLM [Quadro K510M]
@@ -10123,8 +10262,11 @@
 		17aa 3697  GeForce 840A
 		17aa 3699  GeForce 840A
 		17aa 369c  GeForce 840A
+	1344  GM108M [GeForce 845M]
 	1346  GM108M [GeForce 930M]
 	1347  GM108M [GeForce 940M]
+	137a  GM108GLM [Quadro K620M]
+	137d  GM108M [GeForce 940A]
 	1380  GM107 [GeForce GTX 750 Ti]
 	1381  GM107 [GeForce GTX 750]
 	1382  GM107 [GeForce GTX 745]
@@ -10139,7 +10281,9 @@
 	139a  GM107M [GeForce GTX 950M]
 	139b  GM107M [GeForce GTX 960M]
 	139c  GM107M [GeForce 940M]
-	13b0  GM107GLM [N16P-Q3]
+	13b0  GM107GLM [Quadro M2000M]
+	13b1  GM107GLM [Quadro M1000M]
+	13b2  GM107GLM [Quadro M600M]
 	13b3  GM107GLM [Quadro K2200M]
 	13ba  GM107GL [Quadro K2200]
 	13bb  GM107GL [Quadro K620]
@@ -10153,11 +10297,27 @@
 	13d7  GM204M [GeForce GTX 980M]
 	13d8  GM204M [GeForce GTX 970M]
 	13d9  GM204M [GeForce GTX 965M]
+	13f0  GM204GL [Quadro M5000]
+	13f1  GM204GL [Quadro M4000]
+	13f2  GM204GL [Tesla M60]
+	13f8  GM204GLM [Quadro M5000M]
+	13f9  GM204GLM [Quadro M4000M]
+	13fa  GM204GLM [Quadro M3000M]
 	1401  GM206 [GeForce GTX 960]
+	1402  GM206 [GeForce GTX 950]
+	1617  GM204M [GeForce GTX 980M]
+	1618  GM204M [GeForce GTX 970M]
+	1619  GM204M [GeForce GTX 965M]
 	17c2  GM200 [GeForce GTX TITAN X]
+	17c8  GM200 [GeForce GTX 980 Ti]
 	17f0  GM200GL [Quadro M6000]
 10df  Emulex Corporation
 	0720  OneConnect NIC (Skyhawk)
+		103c 1934  FlexFabric 20Gb 2-port 650M Adapter
+		103c 1935  FlexFabric 20Gb 2-port 650FLB Adapter
+		103c 21d4  StoreFabric CN1200E 10Gb Converged Network Adapter
+		103c 220a  FlexFabric 10Gb 2-port 556FLR-SFP+ Adapter
+		103c 803f  Ethernet 10Gb 2-port 557SFP+ Adapter
 		17aa 1056  ThinkServer OCm14102-UX-L AnyFabric
 		17aa 1057  ThinkServer OCm14104-UX-L AnyFabric
 		17aa 1059  ThinkServer OCm14104-UT-L AnyFabric
@@ -10310,6 +10470,7 @@
 	5229  RTS5229 PCI Express Card Reader
 		1025 0813  Aspire R7-571
 		103c 194e  ProBook 455 G1 Notebook
+		103c 1985  Pavilion 17-e163sg Notebook PC
 	5249  RTS5249 PCI Express Card Reader
 		103c 1909  ZBook 15
 	5288  RTS5288 PCI Express Card Reader
